<?xml version='1.0' encoding='UTF-8' ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <h:body>

        <ui:composition template="../WEB-INF/template/Template.xhtml">
                        

            <ui:define name="conteudo">
                                                    

                <h:form>

                    <h:panelGrid>

                        <h:outputLabel for="descricao" value="Descricao" />
                        <h:inputText id="descricao" value="#{produtoBean.produto.descricao}"
                                     required="true" requiredMessage="Campo descrição é obrigatorio!" />
                         
                        <h:outputLabel for="Marca" value="Marca" />
                        <h:inputText id="Marca" value="#{produtoBean.produto.marca}"
                                     required="true" requiredMessage="Campo validade é obrigatorio!" />
                        
                        <h:outputLabel for="validade" value="Validade" />
                        <h:inputText id="validade" value="#{produtoBean.produto.validade}"
                                     required="true" requiredMessage="Campo validade é obrigatorio!" >
                             <f:convertDateTime pattern="dd/MM/yyyy"/>
                        </h:inputText>
                        
                                      
                        

                        <h:panelGroup>
                                                
                            <h:commandButton value="Salvar" action="#{produtoBean.salvar()}" />
                            <h:commandButton value="Cancelar" action="#{produtoBean.novo()}" />
                        </h:panelGroup>
                                

                    </h:panelGrid>


                    <h:dataTable var="produto" value="#{produtoBean.lista}" >
                        <h:column>#{produto.id}</h:column>
                        <h:column></h:column>


                    </h:dataTable>








                </h:form>


            </ui:define>

        </ui:composition>      


    </h:body>
</html>

